## org.apache.jasper.compiler
Class ParserXJspSax

    java.lang.Object
      |
      +--org.apache.jasper.compiler.ParserXJspSax

public class ParserXJspSax
extends java.lang.Object

SAX Parser to handle XJsp syntax. (JSP page as XML document). Any SAX2.0 parser should do.

Author:
  Pierre Delisle

Constructor Summary
`ParserXJspSax(java.lang.String filePath, java.io.InputStreamReader reader, ParseEventListener jspHandler)`

Method Summary
`void` `parse()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParserXJspSax

    public ParserXJspSax(java.lang.String filePath,
                         java.io.InputStreamReader reader,
                         ParseEventListener jspHandler)

Method Detail

### parse

    public void parse()
               throws JasperException

    `JasperException`

Copyright © 2000 Apache Software Foundation. All Rights Reserved.